Se connecter / S'enregistrer
Votre question

probleme pour installer des drivers (linux mdk 10)

Tags :
  • linux
  • Matériel
Dernière réponse : dans Matériel informatique
3 Août 2004 15:13:41

Salut a tous,
j'ai installe linux mandrake 10 et je ne parviens pas a installer les drivers sons,reseau et graphiques... ( P4P800 + ati radeon 9800 pro )

-quand je veux installer les drivers sons ( comme indique dans le fichier "readme" ) il m'affiche ceci:
Please, install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /usr/src/linux).

==>quel est le repertoire du kernel dans cette distibution ?

-pour les drivers reseau:
skge.c:2039:41: missing binary operator before token "("
skge.c:2143:41: missing binary operator before token "("
skge.c:2199:41: missing binary operator before token "("
skge.c:2351:41: missing binary operator before token "("
skge.c:2442:41: missing binary operator before token "("
skge.c:2842:41: missing binary operator before token "("
skge.c:2936:41: missing binary operator before token "("
make: *** [skge.o] Erreur 1

ca veut dire quoi?

-pour les drivers ati:
il ne m'affiche rien de special ou d'inquétant mais je n'ai pas l'impressions que les drivers soient pris en compte... :-?


si quelqu'un pouvait m'aider pour installer correctement ne fus-ce qu'un seul de ces drivers je lui en serais reconnaissant!
D'avance merci!

Autres pages sur : probleme installer drivers linux mdk

3 Août 2004 15:22:06

Tu devrais plutôt essayer d'installer les sources de ton kernel, avant d'installer tes pilotes.

3 Août 2004 15:22:59

c'est quoi ca? comment dois-je faire? ( oui je suis debutant! )
Contenus similaires
3 Août 2004 15:26:04

en fait c'est a chaques fois que je fais " make " que j'ai un probleme...

la je viens d'essayer d'installer superkaramba et il ma affiché:

Can't locate object method "path" via package "Request" at /usr/share/autoconf/Autom4te/C4che.pm line 69, <GEN1> line 111.
make: *** [configure] Erreur 1

vive linux et sa simplicité
3 Août 2004 15:30:14

En gros ce que tu dois faire.

dans les cds de ta distribution tu dois en avoir un qui contient les sources.
tu dois normalement avoir installer un programme qui s'appelle quelque choses comme RPM ..... à partir du quelle tu pourras lancer l'installation de ce qu'on te demande.



3 Août 2004 15:30:23

Citation :
kernel
sources (default is /usr/src/linux).

==>quel est le repertoire du kernel dans cette distibution ?

tu comprends l'anglais ?
Citation :
-pour les drivers ati:
il ne m'affiche rien de special ou d'inquétant mais je n'ai pas l'impressions que les drivers soient pris en compte...

Laisse tomber pour les drivers ati, il n'y en a pas un seul qui vaille la peine sous linux... en gros, tu ne pourras pas exploiter la 3d sous linux avec ta radeon tant que ATI aura pas bougé son cul pour soit fournir un driver potable, soit ouvrir ses sources et les docs techniques de ses chipsets pour que quelqu'un sorte un driver potable.
je suis dans le même probleme que toi...
3 Août 2004 15:34:43

la commande que j'ai tapée est :
./configure --with-kernel=/usr/src/linux
et meme avec cette commande il mets encore ca
3 Août 2004 15:43:15

Tu compiles avec quelle version de GCC ?

Et tes sources (celles du noyau) sont bien installées ? si oui, y a t'il un lien symbolique qui pointe sur le repertoire contenant les sources ?

Citation :


ls /usr/src

linux-*.*.*
linux -> linux-*.*.*

3 Août 2004 15:52:47

Citation :

ouned a écrit :

Et tes sources (celles du noyau) sont bien installées ? si oui, y a t'il un lien symbolique qui pointe sur le repertoire contenant les sources ?

Citation :


ls /usr/src

linux-*.*.*
linux -> linux-*.*.*



je viens d'installer les sources du kernel (enfin c'est comme ca que s'appellait le rpm...)
mais j'ai toujours autant de problemes
je crois que le lien dont tu parles c'est :
/usr/src/linux/ ==> /usr/src/linux-2.6.3-7mdk/


Citation :
Tu compiles avec quelle version de GCC ?

J'en sais RIEN!
3 Août 2004 15:58:31

Citation :
Citation:

Tu compiles avec quelle version de GCC ?


J'en sais RIEN!


$ gcc --version
3 Août 2004 15:59:50


Citation :

Citation:
--------------------------------------------------------------------------------

Tu compiles avec quelle version de GCC ?
--------------------------------------------------------------------------------

J'en sais RIEN!


dans un terminal ->
gcc -version
4 Août 2004 09:23:51

gcc (GCC) 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
cc (GCC) 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS